## UIM Set PIN Protection request UIM Set PIN Protection request |

## Functions

QmiMessageUimSetPinProtectionInput * | qmi_message_uim_set_pin_protection_input_new ()
QmiMessageUimSetPinProtectionInput * | qmi_message_uim_set_pin_protection_input_ref ()
void | qmi_message_uim_set_pin_protection_input_unref ()
gboolean | qmi_message_uim_set_pin_protection_input_get_response_in_indication_token ()
gboolean | qmi_message_uim_set_pin_protection_input_set_response_in_indication_token ()
gboolean | qmi_message_uim_set_pin_protection_input_get_info ()
gboolean | qmi_message_uim_set_pin_protection_input_set_info ()
gboolean | qmi_message_uim_set_pin_protection_input_get_session ()
gboolean | qmi_message_uim_set_pin_protection_input_set_session ()
QmiMessageUimSetPinProtectionOutput * | qmi_message_uim_set_pin_protection_output_ref ()
void | qmi_message_uim_set_pin_protection_output_unref ()
gboolean | qmi_message_uim_set_pin_protection_output_get_result ()
gboolean | qmi_message_uim_set_pin_protection_output_get_retries_remaining ()
gboolean | qmi_message_uim_set_pin_protection_output_get_response_in_indication_token ()
void | qmi_client_uim_set_pin_protection ()
QmiMessageUimSetPinProtectionOutput * | qmi_client_uim_set_pin_protection_finish ()

## Types and Values

| QmiMessageUimSetPinProtectionInput
| QmiMessageUimSetPinProtectionOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimSetPinProtectionInput
        ╰── QmiMessageUimSetPinProtectionOutput

## Description

## Functions

### qmi_message_uim_set_pin_protection_input_new ()

    QmiMessageUimSetPinProtectionInput *
    qmi_message_uim_set_pin_protection_input_new
                                   (void);

Allocates a new QmiMessageUimSetPinProtectionInput.

#### Returns

the newly created QmiMessageUimSetPinProtectionInput. The returned value should be freed with `qmi_message_uim_set_pin_protection_input_unref()`.

Since: 1.14

### qmi_message_uim_set_pin_protection_input_ref ()

    QmiMessageUimSetPinProtectionInput *
    qmi_message_uim_set_pin_protection_input_ref
                                   (QmiMessageUimSetPinProtectionInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimSetPinProtectionInput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_uim_set_pin_protection_input_unref ()

    void
    qmi_message_uim_set_pin_protection_input_unref
                                   (QmiMessageUimSetPinProtectionInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimSetPinProtectionInput. |

Since: 1.14

### qmi_message_uim_set_pin_protection_input_get_response_in_indication_token ()

    gboolean
    qmi_message_uim_set_pin_protection_input_get_response_in_indication_token
                                   (QmiMessageUimSetPinProtectionInput *self,
                                    guint32 *value_response_in_indication_token,
                                    GError **error);

Get the 'Response In Indication Token' field from `self` .

#### Parameters

self | a QmiMessageUimSetPinProtectionInput. |
value_response_in_indication_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_set_pin_protection_input_set_response_in_indication_token ()

    gboolean
    qmi_message_uim_set_pin_protection_input_set_response_in_indication_token
                                   (QmiMessageUimSetPinProtectionInput *self,
                                    guint32 value_response_in_indication_token,
                                    GError **error);

Set the 'Response In Indication Token' field in the message.

#### Parameters

self | a QmiMessageUimSetPinProtectionInput. |
value_response_in_indication_token | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_set_pin_protection_input_get_info ()

    gboolean
    qmi_message_uim_set_pin_protection_input_get_info
                                   (QmiMessageUimSetPinProtectionInput *self,
                                    QmiUimPinId *value_info_pin_id,
                                    gboolean *value_info_pin_enabled,
                                    const gchar **value_info_pin_value,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageUimSetPinProtectionInput. |
value_info_pin_id | a placeholder for the output QmiUimPinId, or `NULL` if not required. |
value_info_pin_enabled | a placeholder for the output gboolean, or `NULL` if not required. |
value_info_pin_value | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_set_pin_protection_input_set_info ()

    gboolean
    qmi_message_uim_set_pin_protection_input_set_info
                                   (QmiMessageUimSetPinProtectionInput *self,
                                    QmiUimPinId value_info_pin_id,
                                    gboolean value_info_pin_enabled,
                                    const gchar *value_info_pin_value,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessageUimSetPinProtectionInput. |
value_info_pin_id | a QmiUimPinId. |
value_info_pin_enabled | a gboolean. |
value_info_pin_value | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_set_pin_protection_input_get_session ()

    gboolean
    qmi_message_uim_set_pin_protection_input_get_session
                                   (QmiMessageUimSetPinProtectionInput *self,
                                    QmiUimSessionType *value_session_session_type,
                                    GArray **value_session_application_identifier,
                                    GError **error);

Get the 'Session' field from `self` .

#### Parameters

self | a QmiMessageUimSetPinProtectionInput. |
value_session_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_application_identifier | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_set_pin_protection_input_set_session ()

    gboolean
    qmi_message_uim_set_pin_protection_input_set_session
                                   (QmiMessageUimSetPinProtectionInput *self,
                                    QmiUimSessionType value_session_session_type,
                                    GArray *value_session_application_identifier,
                                    GError **error);

Set the 'Session' field in the message.

#### Parameters

self | a QmiMessageUimSetPinProtectionInput. |
value_session_session_type | a QmiUimSessionType. |
value_session_application_identifier | a GArray of guint8 elements. A new reference to `value_session_application_identifier` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_set_pin_protection_output_ref ()

    QmiMessageUimSetPinProtectionOutput *
    qmi_message_uim_set_pin_protection_output_ref
                                   (QmiMessageUimSetPinProtectionOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimSetPinProtectionOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_uim_set_pin_protection_output_unref ()

    void
    qmi_message_uim_set_pin_protection_output_unref
                                   (QmiMessageUimSetPinProtectionOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimSetPinProtectionOutput. |

Since: 1.14

### qmi_message_uim_set_pin_protection_output_get_result ()

    gboolean
    qmi_message_uim_set_pin_protection_output_get_result
                                   (QmiMessageUimSetPinProtectionOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimSetPinProtectionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.14

### qmi_message_uim_set_pin_protection_output_get_retries_remaining ()

    gboolean
    qmi_message_uim_set_pin_protection_output_get_retries_remaining
                                   (QmiMessageUimSetPinProtectionOutput *self,
                                    guint8 *value_retries_remaining_verify_retries_left,
                                    guint8 *value_retries_remaining_unblock_retries_left,
                                    GError **error);

Get the 'Retries Remaining' field from `self` .

#### Parameters

self | a QmiMessageUimSetPinProtectionOutput. |
value_retries_remaining_verify_retries_left | a placeholder for the output guint8, or `NULL` if not required. |
value_retries_remaining_unblock_retries_left | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_set_pin_protection_output_get_response_in_indication_token ()

    gboolean
    qmi_message_uim_set_pin_protection_output_get_response_in_indication_token
                                   (QmiMessageUimSetPinProtectionOutput *self,
                                    guint32 *value_response_in_indication_token,
                                    GError **error);

Get the 'Response In Indication Token' field from `self` .

#### Parameters

self | a QmiMessageUimSetPinProtectionOutput. |
value_response_in_indication_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_client_uim_set_pin_protection ()

    void
    qmi_client_uim_set_pin_protection (QmiClientUim *self,
                                       QmiMessageUimSetPinProtectionInput *input,
                                       guint timeout,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously sends a Set PIN Protection request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_set_pin_protection_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimSetPinProtectionInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.14

### qmi_client_uim_set_pin_protection_finish ()

    QmiMessageUimSetPinProtectionOutput *
    qmi_client_uim_set_pin_protection_finish
                                   (QmiClientUim *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_uim_set_pin_protection()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_set_pin_protection()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimSetPinProtectionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_set_pin_protection_output_unref()`.

Since: 1.14

## Types and Values

### QmiMessageUimSetPinProtectionInput

    typedef struct _QmiMessageUimSetPinProtectionInput QmiMessageUimSetPinProtectionInput;

The QmiMessageUimSetPinProtectionInput structure contains private data and should only be accessed using the provided API.

Since: 1.14

### QmiMessageUimSetPinProtectionOutput

    typedef struct _QmiMessageUimSetPinProtectionOutput QmiMessageUimSetPinProtectionOutput;

The QmiMessageUimSetPinProtectionOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14